org.apache.poi.hslf.record

## Enum ExOleObjAtom.Subtype

- java.lang.Object
- - java.lang.Enum<ExOleObjAtom.Subtype>
  - - org.apache.poi.hslf.record.ExOleObjAtom.Subtype

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExOleObjAtom.Subtype>
  Enclosing class:
    ExOleObjAtom

      public static enum ExOleObjAtom.Subtype
      extends java.lang.Enum<ExOleObjAtom.Subtype>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIPART_GALLERY`
    `DEFAULT`
    `EQUATION`
    `EXCEL`
    `EXCEL_CHART`
    `GRAPH`
    `IMAGE`
    `MEDIA_PLAYER`
    `NOTEIT`
    `ORGANIZATION_CHART`
    `POWERPOINT_PRESENTATION`
    `POWERPOINT_SLIDE`
    `PROJECT`
    `SOUND`
    `WORD_TABLE`
    `WORDART`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExOleObjAtom.Subtype` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExOleObjAtom.Subtype[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final ExOleObjAtom.Subtype DEFAULT

    - #### CLIPART_GALLERY

          public static final ExOleObjAtom.Subtype CLIPART_GALLERY

    - #### WORD_TABLE

          public static final ExOleObjAtom.Subtype WORD_TABLE

    - #### EXCEL

          public static final ExOleObjAtom.Subtype EXCEL

    - #### GRAPH

          public static final ExOleObjAtom.Subtype GRAPH

    - #### ORGANIZATION_CHART

          public static final ExOleObjAtom.Subtype ORGANIZATION_CHART

    - #### EQUATION

          public static final ExOleObjAtom.Subtype EQUATION

    - #### WORDART

          public static final ExOleObjAtom.Subtype WORDART

    - #### SOUND

          public static final ExOleObjAtom.Subtype SOUND

    - #### IMAGE

          public static final ExOleObjAtom.Subtype IMAGE

    - #### POWERPOINT_PRESENTATION

          public static final ExOleObjAtom.Subtype POWERPOINT_PRESENTATION

    - #### POWERPOINT_SLIDE

          public static final ExOleObjAtom.Subtype POWERPOINT_SLIDE

    - #### PROJECT

          public static final ExOleObjAtom.Subtype PROJECT

    - #### NOTEIT

          public static final ExOleObjAtom.Subtype NOTEIT

    - #### EXCEL_CHART

          public static final ExOleObjAtom.Subtype EXCEL_CHART

    - #### MEDIA_PLAYER

          public static final ExOleObjAtom.Subtype MEDIA_PLAYER

  - ### Method Detail

    - #### values

          public static ExOleObjAtom.Subtype[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExOleObjAtom.Subtype c : ExOleObjAtom.Subtype.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExOleObjAtom.Subtype valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.